﻿
namespace FileZillaConfig.Types
{
    public class IPFilter
    {
        private string _allowed;
        private string _disallowed;

        /// <summary>
        /// IPs not allowed to connect to the server
        /// </summary>
        public string Disallowed
        {
            get { return _disallowed; }
            set { _disallowed = value; }
        }

        /// <summary>
        /// Exclude IPs from the list of disallowed to IPs
        /// </summary>
        public string Allowed
        {
            get { return _allowed; }
            set { _allowed = value; }
        }


        
    }
}
