﻿using System;

namespace FileZillaConfig
{
    [Flags]
    public enum WeekDays
    {
        Monday = 1,
        Tuesday = 2,
        Wednesday = 4,
        Thursday = 8,
        Friday = 16,
        Saturday = 32,
        Sunday = 64
    }


    [Flags]
    public enum Permission
    {
        FileRead = 1,
        FileWrite = 2,
        FileDelete = 4,
        FileAppend = 8,
        DirCreate = 16,
        DirDelete = 32,
        DirList = 64,
        DirSubdirs = 128
    }

    public enum CheckType
    {
        Disabled = 0,
        Enabled = 1,
        Inherited = 2
    }

    public enum SpeedLimitType
    {
        NoLimit = 0,
        ConstantLimit = 1,
        UseRules = 2
    }

    public enum IPMode
    {
        Default = 0,
        DefinedIP = 1,
        ExternalIP = 2
    }

    public enum LoggingType
    {
        LogAll = 0,
        DifferentLog = 1
    } 
}
